ModelChangeEvent
Keywords: uk.ac.ic.doc.automed.reps.ModelChangeEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class ModelChangeEvent

    java.lang.Object
      uk.ac.ic.doc.automed.reps.ModelChangeEvent

    public class ModelChangeEvent

extends java.lang.Object

An instance of this class describes some change has occurred associated with the `Model` class.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary
`static int` | `CONSTRUCT_ADDED`
`static int` | `CONSTRUCT_CHANGED`
`static int` | `CONSTRUCT_REMOVED`
`static int` | `MODEL_ADDED`
`static int` | `MODEL_CHANGED`
`static int` | `MODEL_REMOVED`

Constructor Summary
`ModelChangeEvent(int type, Positionable delta)`

Method Summary
`java.lang.Object` | `getDelta()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTRUCT_ADDED

    public static final int CONSTRUCT_ADDED

See Also:
  Constant Field Values

### CONSTRUCT_REMOVED

    public static final int CONSTRUCT_REMOVED

See Also:
  Constant Field Values

### CONSTRUCT_CHANGED

    public static final int CONSTRUCT_CHANGED

See Also:
  Constant Field Values

### MODEL_ADDED

    public static final int MODEL_ADDED

See Also:
  Constant Field Values

### MODEL_REMOVED

    public static final int MODEL_REMOVED

See Also:
  Constant Field Values

### MODEL_CHANGED

    public static final int MODEL_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### ModelChangeEvent

    public ModelChangeEvent(int type,
                            Positionable delta)
                     throws InconsistentException

Throws:
  `InconsistentException`

Method Detail

### getType

    public int getType()

### getDelta

    public java.lang.Object getDelta()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD